SparseMatrix_saveHB.cpp File Reference
`#include "SparseMatrix.h"`
`#include "PasoException.h"`
`#include <fstream>`
`#include <iomanip>`

## Namespaces

| paso

## Functions

static int | paso::calc_digits (int)
static void | paso::fmt_str (int, int, int *, int *, int *, char *, char *)
static void | paso::print_data (std::ofstream &, int, int, int, char *, const void *, int, int)
static void | paso::generate_HB (std::ofstream &, dim_t *, dim_t *, const double *)

## Variables

static dim_t | paso::M
static dim_t | paso::N
static dim_t | paso::nz